Bug 270229 - IDE doesn't update "Call Stack" tab if this tab is not a current
IDE doesn't update "Call Stack" tab if this tab is not a current
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
8.2
PC Solaris
: P2 (vote)
: 8.2
Assigned To: Maria Tishkova
issues@cnd
82patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-28 11:48 UTC by soldatov
Modified: 2017-04-19 08:55 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2017-03-28 11:48:55 UTC
No test failures if I use NetBeans 8.2 patch 1. With internal patches I see stable failures in GDB suite on all platforms.

Code:

int foo1();
int foo2();
int foo3();

int foo1() {
    return foo2();
}

int foo2() {
    return foo3();
}

int foo3() {
    return 0;
}

int main(int argc, char** argv) {
    foo1();
    return 0;
}

Scenario:
- Set line breakpoint in foo3() function
- Push "Debug Project" button on toolbar
==> "Call Stack" tab is not a active tab
- Push Debug|Stack|Make Caller Current menu item
- Push Debug|Stack|Make Caller Current menu item again
- Select "Call Stack" tab
==> Check "Call Stack" tab
Expected: foo1() is a current function
Real: foo3() is a current function
Comment 1 Maria Tishkova 2017-03-28 15:00:57 UTC
fixed in enum

changeset:   314920:da1e87a945cb
branch:      release82
tag:         tip
user:        Maria Dalmatova <mromashova@netbeans.org>
date:        Tue Mar 28 17:59:54 2017 +0300
summary:     fixed bz#270229 - IDE doesn't update "Call Stack" tab if this tab is not a current
Comment 2 Quality Engineering 2017-04-02 02:37:03 UTC
Integrated into 'main-silver', will be available in build *201704020002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/8dd4a731bb0a
User: Maria Dalmatova <mromashova@netbeans.org>
Log: fixed bz#270229 - IDE doesn't update "Call Stack" tab if this tab is not a current
keep currentStackFrameNo and set it to 0 when new generic stop happens
(transplanted from da1e87a945cb8712fd23e14b75644b35573f5a9b)
Comment 3 Quality Engineering 2017-04-11 01:52:54 UTC
Integrated into 'main-silver', will be available in build *201704110002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/589daebb410c
User: Maria Dalmatova <mromashova@netbeans.org>
Log: added fix to bz#270229 (current stack frame should be used not 0
(transplanted from 4e08b2a50bb599f66593a9455e6a58fda7bc3203)
Comment 4 ilia 2017-04-13 10:45:46 UTC
https://netbeans.org/bugzilla/show_bug.cgi?id=270229 Changesets:
    http://hg.netbeans.org/releases/rev/da1e87a945cb # fixed bz#270229 - IDE doesn't update "Call Stack" tab if this tab is not a current
    http://hg.netbeans.org/releases/rev/4e08b2a50bb5 # added fix to bz#270229 (current stack frame should be used not 0
Comment 5 soldatov 2017-04-19 08:55:53 UTC
Verified in NetBeans IDE 8.2 (Build 201704181436)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo